> ## Documentation Index
> Fetch the complete documentation index at: https://docs.joyfill.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync template documents

> Sync the latest template styles and layout changes to pre-existing template documents



## OpenAPI

````yaml post /templates/{identifier}/documents
openapi: 3.1.0
info:
  title: joyfill
  version: '1.1'
servers:
  - url: https://api-joy.joyfill.io/v1
security:
  - sec0: []
paths:
  /templates/{identifier}/documents:
    post:
      summary: Sync template documents
      description: >-
        Sync the latest template styles and layout changes to pre-existing
        template documents
      operationId: sync-template-documents
      parameters:
        - name: identifier
          in: path
          description: The template identifier
          schema:
            type: string
          required: true
        - name: Authorization
          in: header
          description: >-
            Supports both API Key and User Access Token authorization. See
            https://joyfill.mintlify.app/api/authentication
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - page
              properties:
                limit:
                  type: integer
                  description: >-
                    The number of template documents to update with this
                    request.
                  default: 250
                  format: int32
                page:
                  type: integer
                  description: >-
                    An integer for use with update pagination. For instance, if
                    limit is set to 25 and you set page to 2 then results 26-50
                    will be updated.
                  default: 1
                  format: int32
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "page": "Number",
                      "pages": "Number",
                      "total": "Number"
                    }
              schema:
                type: object
                properties:
                  page:
                    type: string
                    example: Number
                  pages:
                    type: string
                    example: Number
                  total:
                    type: string
                    example: Number
      deprecated: false
      security: []
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````